split.hxx File Reference
`#include <boost/format.hpp>`
`#include <roboptim/core/derivative-size.hh>`

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.

## Functions

template<typename P , typename C >
void | roboptim::addNonScalarConstraint (P &problem, boost::shared_ptr< C > constraint, std::vector< Function::interval_t > interval, std::vector< Function::value_type > scale=std::vector< Function::value_type >()) throw (std::runtime_error)